Loading...
Searching...
No Matches
IODGeneralSeriesModule Class Reference

Class representing the General Series Module: More...

Inheritance diagram for IODGeneralSeriesModule:

## Public Member Functions

| IODGeneralSeriesModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODGeneralSeriesModule ()
| Constructor.
virtual | ~IODGeneralSeriesModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
virtual OFString | getName () const
| Get name of module.
virtual void | ensureInstanceUID (const OFBool correctInvalid=OFFalse)
| Make sure that the module contains a Series Instance UID, i.e. a new one is created if empty.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | getModality (OFString &value, const signed long pos=0) const
| Get Modality.
virtual OFCondition | getSeriesInstanceUID (OFString &value, const signed long pos=0) const
| Get series instance UID.
virtual OFCondition | getSeriesNumber (OFString &value, const signed long pos=0) const
| Get Series Number.
virtual OFCondition | getLaterality (OFString &value, const signed long pos=0) const
| Get Laterality.
virtual OFCondition | getSeriesDate (OFString &value, const signed long pos=0) const
| Get Series Date.
virtual OFCondition | getSeriesTime (OFString &value, const signed long pos=0) const
| Get Series Time.
virtual OFCondition | getPerformingPhysicianName (OFString &value, const signed long pos=0) const
| Get Performing Physician's Name.
virtual OFCondition | getProtocolName (OFString &value, const signed long pos=0) const
| Get Protocol Name.
virtual OFCondition | getSeriesDescription (OFString &value, const signed long pos=0) const
| Get Series Description.
virtual OFCondition | getOperatorsName (OFString &value, const signed long pos=0) const
| Get Operators' Name.
virtual OFCondition | getBodyPartExamined (OFString &value, const signed long pos=0) const
| Get Body Part Examined.
virtual OFCondition | getPatientPosition (OFString &value, const signed long pos=0) const
| Get Patient Position.
virtual SOPInstanceReferenceMacro & | getReferencedPPS ()
| Get reference to Referenced Performed Procedure Step.
virtual OFCondition | setModality (const OFString &value, const OFBool checkValue=OFTrue)
| Set Modality.
virtual OFCondition | setSeriesInstanceUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Series Instance UID.
virtual OFCondition | setSeriesNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set Series Number.
virtual OFCondition | setLaterality (const DcmIODTypes::IOD_LATERALITY value, const OFBool checkValue=OFTrue)
| Set Laterality.
virtual OFCondition | setSeriesDate (const OFString &value, const OFBool checkValue=OFTrue)
| Set Series Date.
virtual OFCondition | setSeriesTime (const OFString &value, const OFBool checkValue=OFTrue)
| Set Series Time.
virtual OFCondition | setPerformingPhysicianName (const OFString &value, const OFBool checkValue=OFTrue)
| Set Performing Physician Name.
virtual OFCondition | setProtocolName (const OFString &value, const OFBool checkValue=OFTrue)
| Set Protocol Name.
virtual OFCondition | setSeriesDescription (const OFString &value, const OFBool checkValue=OFTrue)
| Set Series Description.
virtual OFCondition | setOperatorsName (const OFString &value, const OFBool checkValue=OFTrue)
| Set Operators' Name.
virtual OFCondition | setBodyPartExamined (const OFString &value, const OFBool checkValue=OFTrue)
| Set Body Part Examined.
virtual OFCondition | setPatientPosition (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient Position.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module.
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes

SOPInstanceReferenceMacro | m_ReferencedPPS
| Referenced Performed Procedure Step Sequence.

## Static Private Attributes

static const OFString | m_ModuleName
| The name of this module ("GeneralSeriesModule").

## Additional Inherited Members

Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the General Series Module:

Modality: (CS, 1, 1) Series Instance Number: (UI, 1, 1) Series Number: (IS, 1, 2) Laterality: (CS, 1, 2C) Series Date: (DA, 1, 3) Series Time: (TM, 1, 3) Performing Physician's Name: (PN, 1, 3) Protocol Name: (LO, 1, 3) Series Description: (LO, 1, 3) Operators' Name: (PN, 1-n, 3) Body Part Examined: (CS, 1, 3) Patient Position: (CS, 1, 2C)

## Constructor & Destructor Documentation

## IODGeneralSeriesModule()

IODGeneralSeriesModule::IODGeneralSeriesModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ensureInstanceUID()

virtual void IODGeneralSeriesModule::ensureInstanceUID | ( | const OFBool | correctInvalid = OFFalse | ) |

virtual

Make sure that the module contains a Series Instance UID, i.e. a new one is created if empty.

An invalid UID is corrected if desired.

Parameters

  correctInvalid | Correct invalid UID if OFTrue, otherwise do nothing

## getBodyPartExamined()

virtual OFCondition IODGeneralSeriesModule::getBodyPartExamined | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Body Part Examined.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getLaterality()

virtual OFCondition IODGeneralSeriesModule::getLaterality | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Laterality.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getModality()

virtual OFCondition IODGeneralSeriesModule::getModality | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Modality.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getName()

virtual OFString IODGeneralSeriesModule::getName | ( |  | ) | const

virtual

Get name of module.

Returns
  Name of the module ("GeneralSeriesModule")

Implements IODComponent.

## getOperatorsName()

virtual OFCondition IODGeneralSeriesModule::getOperatorsName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Operators' Name.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getPatientPosition()

virtual OFCondition IODGeneralSeriesModule::getPatientPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Patient Position.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getPerformingPhysicianName()

virtual OFCondition IODGeneralSeriesModule::getPerformingPhysicianName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Performing Physician's Name.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getProtocolName()

virtual OFCondition IODGeneralSeriesModule::getProtocolName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Protocol Name.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getReferencedPPS()

virtual SOPInstanceReferenceMacro & IODGeneralSeriesModule::getReferencedPPS | ( |  | ) |

virtual

Get reference to Referenced Performed Procedure Step.

Returns
  Reference to PPS

## getSeriesDate()

virtual OFCondition IODGeneralSeriesModule::getSeriesDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Series Date.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getSeriesDescription()

virtual OFCondition IODGeneralSeriesModule::getSeriesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Series Description.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getSeriesInstanceUID()

virtual OFCondition IODGeneralSeriesModule::getSeriesInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get series instance UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getSeriesNumber()

virtual OFCondition IODGeneralSeriesModule::getSeriesNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Series Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getSeriesTime()

virtual OFCondition IODGeneralSeriesModule::getSeriesTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Series Time.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## inventMissing()

virtual void IODGeneralSeriesModule::inventMissing | ( |  | ) |

virtual

Set missing values by inventing "default values".

Automatically called during write() by IODComponent.

Reimplemented from IODComponent.

## read()

virtual OFCondition IODGeneralSeriesModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## setBodyPartExamined()

virtual OFCondition IODGeneralSeriesModule::setBodyPartExamined | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Body Part Examined.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setLaterality()

virtual OFCondition IODGeneralSeriesModule::setLaterality | ( | const DcmIODTypes::IOD_LATERALITY | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Laterality.

Parameters

  value | Value to be set
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal if successful, an error code otherwise

## setModality()

virtual OFCondition IODGeneralSeriesModule::setModality | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Modality.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setOperatorsName()

virtual OFCondition IODGeneralSeriesModule::setOperatorsName | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Operators' Name.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setPatientPosition()

virtual OFCondition IODGeneralSeriesModule::setPatientPosition | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Patient Position.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setPerformingPhysicianName()

virtual OFCondition IODGeneralSeriesModule::setPerformingPhysicianName | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Performing Physician Name.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setProtocolName()

virtual OFCondition IODGeneralSeriesModule::setProtocolName | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Protocol Name.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setSeriesDate()

virtual OFCondition IODGeneralSeriesModule::setSeriesDate | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Series Date.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setSeriesDescription()

virtual OFCondition IODGeneralSeriesModule::setSeriesDescription | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Series Description.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setSeriesInstanceUID()

virtual OFCondition IODGeneralSeriesModule::setSeriesInstanceUID | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Series Instance UID.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setSeriesNumber()

virtual OFCondition IODGeneralSeriesModule::setSeriesNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Series Number.

Parameters

  value | Value to be set (single value only). If an empty string is, passed, the value "1" is set when displaying or writing the document since the corresponding DICOM attribute is mandatory.
  checkValue | Check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setSeriesTime()

virtual OFCondition IODGeneralSeriesModule::setSeriesTime | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Series Time.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## write()

virtual OFCondition IODGeneralSeriesModule::write | ( | DcmItem & | destination | ) |

virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modgeneralseries.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0